Bug 13923 - ctdb dumpmemory prints a trailing NUL
ctdb dumpmemory prints a trailing NUL
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.7
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13924
  Show dependency treegraph
 
Reported: 2019-05-02 06:14 UTC by Martin Schwenke
Modified: 2019-05-21 09:41 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 and 4.10 (2.83 KB, patch)
2019-05-15 02:10 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-05-02 06:14:40 UTC
The "ctdb dumpmemory" command prints an unwanted trailing NUL character at the end of output.  The "ctdb rdumpmemory" command does this too.
Comment 1 Martin Schwenke 2019-05-15 02:10:19 UTC
Created attachment 15152 [details]
Patch for 4.9 and 4.10

Same patch applies to both 4.9 and 4.10.
Comment 2 Amitay Isaacs 2019-05-15 02:23:16 UTC
Hi Karolin,

This is ready for v4-9 and v4-10.

Thanks.
Comment 3 Karolin Seeger 2019-05-16 10:21:10 UTC
(In reply to Amitay Isaacs from comment #2)
Hi Amitay, 

pushed to autobuild-v4-{10,9}-test.
Comment 4 Karolin Seeger 2019-05-21 09:41:24 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!